Search For Fonts

New Fonts

Font Packs

Subscribe to Emails

Help & Support

View Cart

 

 

Troubleshoot

System Requirements

Contact ITC

 

   
 

System Requirements

 

 


When you download a font package to your computer using FontsNOW!, you will receive both PostScript Type 1 and TrueType versions of the font. It is only necessary to install one version. ITC recommends that you install the PostScript Type 1 font if you primarily use Adobe Type Manager software and PostScript output devices. If you normally use Microsoft Office products, then we recommend that you install the TrueType version of the font. For more information OpenType fonts, please visit the Application Support page. Here are the minimum system requirements for all ITC typefaces:

Macintosh

PostScript Type 1

 

  • Any Macintosh computer with at least 2 MB of RAM;
  • System OS X or later (including any version of System 7 and Mac OS 8 or MAC OS 9);
  • Any PostScript-compatible printer. (PostScript fonts may also be printed on a QuickDraw printer, provided that Adobe Type Manager (ATM) is installed.)

TrueType

  • Any Macintosh computer with at least 2 MB of RAM;
  • Any version of System 7, Mac OS 8, MAC OS 9 or MAC OS X;
  • Any printer.

OpenType (PostScript)

  • MacOS Classic (8.x-9.x) users will need to install Adobe Type Manager (ATM) 4.6.2 or ATM Lite. ATM Lite can be downloaded free of charge
  • MacOS X offers basic Roman support of OpenType PS fonts natively and ATM is not required

OpenType (TrueType)

  • Basic Roman support available in MacOS X
  • OpenType TT fonts are not supported in any of the MacOS Classic environments (8.x-9.x)

PC

PostScript Type 1

 

  • A PC running Windows XP (or later) or Microsoft Windows (98, 95, NT, ME, 2000, or 3.1, or 3.0);
  • Adobe Type Manager software;
  • At least 640K of RAM;
  • Any PostScript-compatible printer or other Windows-supported printer.

TrueType

  • A PC running Windows XP (or later) or Microsoft Windows (98, 95, NT, ME, 2000, or 3.1, or 3.0)
  • At least 640K of RAM;
  • Any Windows-supported printer.

OpenType (PostScript)

  • To get basic Roman support for all OpenType PS fonts, users of Microsoft Windows 95/98/ME/NT 4.0 will need to install Adobe Type Manager (ATM) 4.1.2 or ATM Lite (available here)
  • Microsoft Windows 2000/XP offer basic Roman support of OpenType PS fonts natively and ATM is not required

OpenType (TrueType)

  • OpenType TT fonts are backwards compatible with Windows TrueType fonts
  • Basic Roman support is available anywhere Windows TrueType fonts are supported: Microsoft Windows 95/98/ME/NT 4.0/2000/XP

A Note on Managing Fonts with Suitcase, MasterJuggler and ATM Deluxe

ITC typefaces are also fully compatible with most utilities for managing and installing fonts, such as Symantec’s Suitcase, Alsys’ MasterJuggler, and Adobe System’s ATM Deluxe. To install and manage ITC typefaces with these utilities, please check their respective user guides.

Installation and Troubleshooting

For further information on installing and using ITC typefaces, please read the installation document in the Support area of our Web site. This area also includes a troubleshooting document which provides answers to common questions and problems.

Should you have any questions or need any assistance installing or using ITC typefaces, please contact us.



  

 


ITC Font System Requirements

 


COLO-WEB-06